/*+
|                                               |
|     Trigger: DTULTATU_DIMEODWOPER             |  
|     Tabela : DIMEODWOPER                      |
|                                               |
|     Criao:                                  |
|     06/09/2007 - Luiz Passos                  |
|                                               |
+*/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_DIMEODWOPER'   and
            type = 'TR'                       and
            u.uid = o.uid                     and
            u.name = USER)
   DROP TRIGGER DTULTATU_DIMEODWOPER
GO

CREATE TRIGGER DTULTATU_DIMEODWOPER
ON DIMEODWOPER
FOR INSERT, UPDATE, DELETE
AS
BEGIN
IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, DSKEYCACHE, DTULTATUCACH)
         (SELECT 'DIMEODWOPER', 'NRSEQUEDIME='  + NRSEQUEDIME +
                                 ';CDOPERADOR=' + CDOPERADOR + ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE DIMEODWOPER
      SET DTULTATUDIMDWOP = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(DIMEODWOPER.NRSEQUEDIME, 0) = ISNULL(INSERTED.NRSEQUEDIME, 0)) AND
            (ISNULL(DIMEODWOPER.CDOPERADOR, 0) = ISNULL(INSERTED.CDOPERADOR, 0));
   END;
END;
GO 

-- VERSAO --
EXEC ATUVEROBJ 'DTULTATU_DIMEODWOPER','4.11.176';
GO

